Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158389 - language support groups not installed except default
Summary: language support groups not installed except default
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker 155836
TreeView+ depends on / blocked
 
Reported: 2005-05-21 13:29 UTC by Ronny Buchmann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: anaconda-10.2.1.3-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-27 01:48:36 UTC


Attachments (Terms of Use)

Description Ronny Buchmann 2005-05-21 13:29:53 UTC
Description of problem:
Anaconda doesn't install packages from the selected language support groups
except the pre-selected (install language).

Version-Release number of selected component (if applicable):
10.2.0.64

Additional Information:
To me it seems like editDetails() doesn't work for meta-packages?
selectLanguageSupportGroups() has some additional steps which may be the reason
it works for default language.

Comment 1 Chris Lumens 2005-05-24 17:38:48 UTC
Blah, this is because the package conditionals stuff in
selectLanguageSupportGroups needs to be used elsewhere as well.  Committed a
patch to CVS for this.

Comment 2 Lawrence Lim 2005-05-27 01:48:36 UTC
Tested with anaconda-10.2.1.3-1 in the rawhide-20050526 tree, this should be
fix. Please reopen the bug if it is still a problem for you.


Thanks.




Note You need to log in before you can comment on or make changes to this bug.